package cn.wise.sc.consume.business.mapper;

import cn.wise.sc.consume.business.entity.SysCouponDetail;
import cn.wise.sc.consume.business.model.ReceivedAppListVO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author ztw
 * @since 2020-07-31
 */
public interface SysCouponDetailMapper extends BaseMapper<SysCouponDetail> {

	@Select("select count(*) from sys_coupon_detail where to_days(create_time) = to_days(now())")
	int createNo();

	List<ReceivedAppListVO> getReceivedList(@Param("coridc") String coridc, @Param("usridc") String usridc );

	@Select("select * from sys_coupon_detail scd where scd.is_receive=0  and  to_days(now()) - to_days(scd.end_date) >0")
	List<SysCouponDetail> getVerdueList();

	List<SysCouponDetail> getByCouponId(@Param("param")Long couponId);

//    void updateByCouponCode(@Param("param") String couponCode,@Param("status") Integer status);
}
