package cn.wise.sc.consume.business.service;

import cn.wise.sc.consume.business.entity.SysCoupon;
import cn.wise.sc.consume.business.model.CouponAppListVO;
import cn.wise.sc.consume.business.model.CouponDetailVO;
import cn.wise.sc.consume.business.model.CouponListVO;
import cn.wise.sc.consume.business.model.PageTableRequest;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ztw
 * @since 2020-07-31
 */
public interface ISysCouponService extends IService<SysCoupon> {

	IPage<CouponListVO> getPage(Page request, Map<String, Object> map);

	CouponDetailVO getCouponDetail(Long id);

	List<CouponAppListVO> getCouponAppList(String coridc, String usridc);

}
